### Method

# Adw Leaflet get_pages

deprecated: 1.4

#### Declaration [src]

    GtkSelectionModel*
    adw_leaflet_get_pages (
      AdwLeaflet* self
    )

#### Description [src]

Returns a `GListModel` that contains the pages of the leaflet.

This can be used to keep an up-to-date view. The model also implements `GtkSelectionModel` and can be used to track and change the visible page.

Deprecated since: 1.4

See the migration guide.

Gets property | `Adw.Leaflet:pages`

#### Return value

Type: `GtkSelectionModel`

A `GtkSelectionModel` for the leaflet’s children.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.